Fresh Install Issue

Need help installing Joomla! 3.x? For all Joomla! 3.x installation issues please use this forum. Note: Users creating new sites can use either version 2.5 or 3.x. Please consider the availability of third-party templates and extensions when deciding which Joomla version to use.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Aids10
Joomla! Apprentice
Joomla! Apprentice
Posts: 7
Joined: Mon May 21, 2018 11:20 pm

Fresh Install Issue

Postby Aids10 » Tue May 22, 2018 1:20 am

Fresh Install Stuck On Step 1 Configuration

Aids10
Joomla! Apprentice
Joomla! Apprentice
Posts: 7
Joined: Mon May 21, 2018 11:20 pm

Re: Fresh Install Issue

Postby Aids10 » Tue May 22, 2018 1:21 am

Forum Post Assistant (v1.4.0) : 22nd May 2018 wrote:
Basic Environment :: wrote:Joomla! Instance :: Joomla! 3.6.5-Stable (Noether) 1-December-2016
Joomla! Platform :: Joomla Platform 13.1.0-Stable (Curiosity) 24-Apr-2013
Joomla! Configured :: Not Found

Host Configuration :: OS: Linux | OS Version: 2.6.32-042stab123.3 | Technology: i686 | Web Server: Apache/2.2.34 (Unix) mod_ssl/2.2.34 OpenSSL/1.0.1e-fips mod_bwlimited/1.4 | Encoding: gzip | Doc Root: --protected-- | System TMP Writable: Yes | Free Disk Space : 51.40 GiB |

PHP Configuration :: Version: 5.3.29 | PHP API: cgi-fcgi | Session Path Writable: Yes | Display Errors: | Error Reporting: 22519 | Log Errors To: error_log | Last Known Error: | Register Globals: 0 | Magic Quotes: | Safe Mode: 0 | Open Base: | Uploads: 1 | Max. Upload Size: 20M | Max. POST Size: 20M | Max. Input Time: 60 | Max. Execution Time: 600 | Memory Limit: 256M

Database Configuration :: Database Credentials incomplete or not available Nothing to display.
Missing credentials detected: Connection Type missing | Database Name missing |MySQL Host missing | Table Prefix missing | Database Username missing | Database Password missing |
Detailed Environment :: wrote:PHP Extensions :: Core (5.3.29) | date (5.3.29) | ereg () | libxml () | openssl () | pcre () | sqlite3 (0.7-dev) | zlib (1.1) | bcmath () | calendar () | ctype () | curl () | dom (20031129) | filter (0.11.0) | ftp () | gd () | hash (1.0) | iconv () | SPL (0.2) | json (1.2.1) | mbstring () | mysql (1.0) | mysqli (0.1) | session () | standard (5.3.29) | posix () | Reflection ($Id: 4af6c4c676864b1c0bfa693845af0688645c37cf $) | Phar (2.0.1) | SimpleXML (0.1) | sockets () | imap () | tokenizer (0.1) | xml () | xmlreader (0.1) | xmlwriter (0.1) | cgi-fcgi () | PDO (1.0.4dev) | pdo_sqlite (1.0.1) | SQLite (2.0-dev) | pdo_mysql (1.0.2) | ionCube Loader () | Zend Guard Loader () | Zend Engine (2.3.0) |
Potential Missing Extensions :: zip | mcrypt | suhosin |

Switch User Environment (Experimental) :: PHP CGI: Yes | Server SU: Yes | PHP SU: Yes | Custom SU (LiteSpeed/Cloud/Grid): No
Potential Ownership Issues: Maybe
Folder Permissions :: wrote:Core Folders :: --protected-- (755) | --protected-- (755) | --protected-- (755) | --protected-- (755) | --protected-- (755) | --protected-- (755) | --protected-- (755) | --protected-- (---) | --protected-- (755) | --protected-- (755) | --protected-- (755) | --protected-- (755) | --protected-- (755) | --protected-- (755) |

Elevated Permissions (First 10) ::
Extensions Discovered :: wrote:Strict Information Privacy was selected. Nothing to display.
Templates Discovered :: wrote:Strict Information Privacy Nothing to display.

Aids10
Joomla! Apprentice
Joomla! Apprentice
Posts: 7
Joined: Mon May 21, 2018 11:20 pm

Re: Fresh Install Issue

Postby Aids10 » Tue May 22, 2018 1:28 am

I note browser error-
Loading failed for the <script> with source .../media/jui/js/jquery.min.js

Never had issues in the past :'(

Appreciate any help!

Aids10
Joomla! Apprentice
Joomla! Apprentice
Posts: 7
Joined: Mon May 21, 2018 11:20 pm

Re: Fresh Install Issue

Postby Aids10 » Tue May 22, 2018 3:15 pm

Database is Step 2 :D

User avatar
ribo
Joomla! Virtuoso
Joomla! Virtuoso
Posts: 3207
Joined: Sun Jan 03, 2010 8:47 pm
Contact:

Re: Fresh Install Issue

Postby ribo » Tue May 22, 2018 3:41 pm

First of all the latest joomla version is 3.8.8. Why are you try to install an old version wich have bugs and security issues? And second your php version is EOL. Your host must configure your server properly to not have hung in first step. The issue cone come from anywhere, even from an accelerator of the server. Please check the recommended requirements https://docs.joomla.org/Technical_requirements
chat room spontes : http://www.spontes.com

User avatar
AMurray
Joomla! Virtuoso
Joomla! Virtuoso
Posts: 3614
Joined: Sat Feb 13, 2010 7:35 am
Location: Australia

Re: Fresh Install Issue

Postby AMurray » Tue May 22, 2018 9:38 pm

Your FPA basically shows you don't have Joomla installed, so it can't be used to trouble-shoot Joomla issues.

If you are stuck on step 1, that is strange, as the only information it's asking for is the Site Name, description and the Administrator email and login details - nothing out of the ordinary.

What browser are you installing with? I would agree with @Ribo, though, you need to use the latest edition, found at https://downloads.joomla.org.

No Database:

Database Configuration :: Database Credentials incomplete or not available Nothing to display.
Missing credentials detected: Connection Type missing | Database Name missing |MySQL Host missing | Table Prefix missing | Database Username missing | Database Password missing |

No configuration file for Joomla (which would contain all the stuff about the database above - that's where the FPA gets some of its information from....)
Joomla! Instance :: Joomla! 3.6.5-Stable (Noether) 1-December-2016
Joomla! Platform :: Joomla Platform 13.1.0-Stable (Curiosity) 24-Apr-2013
Joomla! Configured :: Not Found


Finally, you need to run the FPA script with the privacy settings turned OFF.
Regards,
--------------------------------------------------------------
A Murray
Millennium Falcon - it's the ship that made the Kessel run in less than 12 parsecs! The fastest hunk of junk in the galaxy.

User avatar
ribo
Joomla! Virtuoso
Joomla! Virtuoso
Posts: 3207
Joined: Sun Jan 03, 2010 8:47 pm
Contact:

Re: Fresh Install Issue

Postby ribo » Tue May 22, 2018 9:54 pm

AMurray wrote:
No Database:

Database Configuration :: Database Credentials incomplete or not available Nothing to display.
Missing credentials detected: Connection Type missing | Database Name missing |MySQL Host missing | Table Prefix missing | Database Username missing | Database Password missing |

No configuration file for Joomla (which would contain all the stuff about the database above - that's where the FPA gets some of its information from....)
Joomla! Instance :: Joomla! 3.6.5-Stable (Noether) 1-December-2016
Joomla! Platform :: Joomla Platform 13.1.0-Stable (Curiosity) 24-Apr-2013
Joomla! Configured :: Not Found



The "No Database" and the "No configuration file" are because his install hangs in the first step so the install dont go to other steps to finish and to see the database and the configuration file.
chat room spontes : http://www.spontes.com

emmawatson8855
Joomla! Fledgling
Joomla! Fledgling
Posts: 1
Joined: Thu May 24, 2018 9:21 am

Re: Fresh Install Issue

Postby emmawatson8855 » Thu May 24, 2018 9:30 am

Aids10 wrote:Fresh Install Stuck On Step 1 Configuration

Maybe the issue is with installation package

User avatar
AMurray
Joomla! Virtuoso
Joomla! Virtuoso
Posts: 3614
Joined: Sat Feb 13, 2010 7:35 am
Location: Australia

Re: Fresh Install Issue

Postby AMurray » Thu May 24, 2018 9:34 pm

OK, I'm aware, --- stuck on step 1 --- the database and config file are obviously not yet created (the OP seems to have changed his original post, hence my reply now doesn't make sense) but I don't see anything in the FPA presented, that would cause the system to hang.

PHP settings for memory limit, file post/file upload limit, execution time limits are all fine. (that's the usual suspects as far as I know when it comes to the "stuck at step 1" problems I see posted on this forum.

Reiterating, why the OP is trying to install 3.6.5 rather than 3.8.8.
Regards,
--------------------------------------------------------------
A Murray
Millennium Falcon - it's the ship that made the Kessel run in less than 12 parsecs! The fastest hunk of junk in the galaxy.

User avatar
ribo
Joomla! Virtuoso
Joomla! Virtuoso
Posts: 3207
Joined: Sun Jan 03, 2010 8:47 pm
Contact:

Re: Fresh Install Issue

Postby ribo » Fri May 25, 2018 8:34 am

AMurray wrote:OK, I'm aware, --- stuck on step 1 --- the database and config file are obviously not yet created (the OP seems to have changed his original post, hence my reply now doesn't make sense) but I don't see anything in the FPA presented, that would cause the system to hang.

PHP settings for memory limit, file post/file upload limit, execution time limits are all fine. (that's the usual suspects as far as I know when it comes to the "stuck at step 1" problems I see posted on this forum.

Reiterating, why the OP is trying to install 3.6.5 rather than 3.8.8.

As i had this issue many time before, the problem that hanged my joomla, was from an apache module (i am not remember it now and fpa dont show apache modules of his server)that conflict the first step of install. That why i said that the problem can come from server configuration. Php settings like you said not hangs first step of install.
chat room spontes : http://www.spontes.com

Aids10
Joomla! Apprentice
Joomla! Apprentice
Posts: 7
Joined: Mon May 21, 2018 11:20 pm

Re: Fresh Install Issue

Postby Aids10 » Sat May 26, 2018 7:20 pm

ribo wrote:As i had this issue many time before, the problem that hanged my joomla, was from an apache module (i am not remember it now and fpa dont show apache modules of his server)that conflict the first step of install. That why i said that the problem can come from server configuration. Php settings like you said not hangs first step of install.


Appreciate your replies;

Unfortunately, I'm using a template that requires v3.6.5.
Also, I have other sites that require an older PHP version.
I do have other Joomla sites v2.5 on same server running fine.

I did install 3.6.5 fine the other day, but had the blank admin login page issue after installing Akeeba; so I deleted all and decided to start from scratch.

I did rebuild EasyApache 3 in WHM before trying to install second time (to remove Mcrypt from memory) so Ribo must be correct that it has to do with Apache; thanks mate!

Any idea which Apache module would cause this or how I can troubleshoot it?

Aids10
Joomla! Apprentice
Joomla! Apprentice
Posts: 7
Joined: Mon May 21, 2018 11:20 pm

Re: Fresh Install Issue

Postby Aids10 » Wed Jun 06, 2018 6:01 am

Bump :-[

User avatar
mandville
Joomla! Master
Joomla! Master
Posts: 14577
Joined: Mon Mar 20, 2006 1:56 am
Location: The Girly Side of Joomla in Sussex

Re: Fresh Install Issue

Postby mandville » Wed Jun 06, 2018 7:01 am

please select the best statement as to why help for you is either very limited or has reached the end of the road
Aids10 wrote:Unfortunately, I'm using a template that requires v3.6.5.

Also, I have other sites that require an older PHP version.

I do have other Joomla sites v2.5 on same server running fine.
HU2HY- Poor questions = Poor answer
Un requested Help PM's will be reported, added to the foe list and possibly just deleted
{VEL Team Leader}{TM Auditor }{ Showcase & Security forums Moderator}

User avatar
leolam
Joomla! Master
Joomla! Master
Posts: 18794
Joined: Mon Aug 29, 2005 10:17 am
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
Contact:

Re: Fresh Install Issue

Postby leolam » Wed Jun 06, 2018 10:58 am

@Mandville Can I please, please, pretty please 'with a cherry on the top' do a multi-select and add some options?

Leo 8)
Joomla's #1 Professional Support Provider:
-> Joomla Professional Support: https://gws-desk.com -
-> Joomla Specialized Hosting Solutions: https://gws-host.com -
Member Joomla Bug Squad & Joomla CMS Release Team

User avatar
leolam
Joomla! Master
Joomla! Master
Posts: 18794
Joined: Mon Aug 29, 2005 10:17 am
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
Contact:

Re: Fresh Install Issue

Postby leolam » Wed Jun 06, 2018 11:07 am

Aids10 wrote:I did rebuild EasyApache 3 in WHM before trying to install second time (to remove Mcrypt from memory)
One cannot rebuild Apache3. You can recompile with EasyApache 3 and you should very much update to EasyAPache4 where you can build multiple profiles and where you have per site the option to set the PHP-version so that takes care of that issue

No template requires Joomla 3.6.5. World turned upside down. Joomla 3.8.8 requires a template to be compatible. If not you need to rebuild (as we for instance do for many site owners) their incompatible template with a modern framework such as Gantry or Yootheme Pro. That takes care of any template issue and makes you ready for Joomla 4 (requires PHP7)

Joomla 2.5 may run fine but is End of Life, vulnerable, no longer supported by Joomla and you should (mini) migrate as outlined so often and described in my Practical Guide viewtopic.php?f=710&t=793171

So if you do not follow up on these issues than you are a lost case and I and with me many others won't be able to help you since offering help on outdated software/systems makes no sense

Nothing is more easy than the steps I described here so why being so reluctant and perhaps(?) 'plain dumb"

Leo 8)
Joomla's #1 Professional Support Provider:
-> Joomla Professional Support: https://gws-desk.com -
-> Joomla Specialized Hosting Solutions: https://gws-host.com -
Member Joomla Bug Squad & Joomla CMS Release Team

Aids10
Joomla! Apprentice
Joomla! Apprentice
Posts: 7
Joined: Mon May 21, 2018 11:20 pm

Installation Stuck on Step One

Postby Aids10 » Sat Jun 09, 2018 7:11 am

1.

What's with the microsoftesque rhetoric regarding old versions. >:(

It's counter-productive and dismissive to the issue at hand.

I've stated my reasons why I need 5.3 at present.

Unfortunately, I can't take advantage of MultiPHP as EasyApache 4 is 5.4+...

@Ribo I appreciate you broaching my issue directly! 8)

2.

Additionally, the "installation stuck on step One" issue has been prevalent on new versions for last six years.

I just finished trolling through all 86-pages Joomla 3.x Installation threads.

Apart from the obvious min. server requirements issues and unwritable session.save_path expressed by FPA, it appears most threads were unresolved.

A few were eAccelerator related.

3.

Back to my issue;

On install step one when I hit next it goes to same address but with an # at end.

I've tried Chrome & IE too, same result...

If I open FF inspector it mentions ReferenceError: Install is not defined

As mentioned, I installed this version fine first time as a test but were having issues second time after recompiling easyapache.

4.

Finally, as a last resort today, I decided to use a proxy to access my web installer and NO more problems! :geek:

I can proceed as normal! (though if I switch back to my local IP address same issue stuck on first step)

I checked server CSF Firewall & cPHulk in case my IP was the issue, also cloudflare whitelist; all good.

Is there something in Joomla/Installer that would cause this IP issue? ???

When I recompiled easyapache I did remove mcrypt and added mod_cloudflare.

Maybe mod_cloudflare?

How do you get the FPA to reflect Apache Modules?

Hope this helps someone else in future! :p

User avatar
ribo
Joomla! Virtuoso
Joomla! Virtuoso
Posts: 3207
Joined: Sun Jan 03, 2010 8:47 pm
Contact:

Re: Installation Stuck on Step One

Postby ribo » Sat Jun 09, 2018 5:36 pm

Aids10 wrote:
A few were eAccelerator related.


This could be the reason of your issue
chat room spontes : http://www.spontes.com

User avatar
ribo
Joomla! Virtuoso
Joomla! Virtuoso
Posts: 3207
Joined: Sun Jan 03, 2010 8:47 pm
Contact:

Re: Installation Stuck on Step One

Postby ribo » Sat Jun 09, 2018 5:45 pm

Aids10 wrote:
I've stated my reasons why I need 5.3 at present.

Unfortunately, I can't take advantage of MultiPHP as EasyApache 4 is 5.4+...


Even if you use joomla 1.5(EOL) you can use EasyApache 4 and php 5.4 for this joomla version and you dont need php 5.3. Joomla 2.5 can use php 5.6 as well. Please keep in mind that EasyApache 3 in a little time in the future will not exist any more and you must update to EasyApache 4.Also with EasyApache 4 you will have more features, it s not only the MultiPHP.
chat room spontes : http://www.spontes.com

User avatar
leolam
Joomla! Master
Joomla! Master
Posts: 18794
Joined: Mon Aug 29, 2005 10:17 am
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
Contact:

Re: Fresh Install Issue

Postby leolam » Wed Jun 13, 2018 5:43 am

Aids10 wrote:I've stated my reasons why I need 5.3 at present.
As stated you do not need PHP5.3. You have a misconception about rhetoric. I stated facts about your old versions and if you do not accept the facts that you a) do not need EA3/PHP5.3 but you need updated templates, Joomla versions since all old Joomla versions are vulnerable (and THAT is important for your site and safety of your server!) and a state-of-the-art server config and not a decade old and outdated and not supported software setup. That is no rhetoric but advise with simple facts.

Leo 8)
Joomla's #1 Professional Support Provider:
-> Joomla Professional Support: https://gws-desk.com -
-> Joomla Specialized Hosting Solutions: https://gws-host.com -
Member Joomla Bug Squad & Joomla CMS Release Team


Return to “Installation Joomla! 3.x”

Who is online

Users browsing this forum: No registered users and 5 guests